%define upname libvpl

%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%ifarch x86_64 %{ix86}
%bcond_without tools
%else
%bcond_with tools
%endif

Name:           vpl
Version:        2.10.2
Release:        %mkrel 2
Summary:        Intel Video Processing Library (Intel VPL) dispatcher, tools, and examples
License:        MIT
Group:          System/Libraries
Url:            https://intel.github.io/libvpl
Source0:        https://github.com/intel/libvpl/archive/v%{version}/%{upname}-%{version}.tar.gz
Patch0:         libvpl-system-analyzer.patch
Patch1:         u_buildfix-i586.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(libva-drm)
BuildRequires:  pkgconfig(libva-x11)
BuildRequires:  pkgconfig(pciaccess)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)

%description
Intel® Video Processing Library (Intel VPL) supports AI visual inference,
media delivery, cloud gaming, and virtual desktop infrastructure use cases by
providing access to hardware accelerated video decode, encode, and frame
processing capabilities on Intel® GPUs.

%package -n %{libname}
Summary:        Intel Video Processing Library (Intel VPL) dispatcher, tools, and examples
Group:          System/Libraries

%description -n %{libname}
Intel® Video Processing Library (Intel VPL) supports AI visual inference,
media delivery, cloud gaming, and virtual desktop infrastructure use cases by
providing access to hardware accelerated video decode, encode, and frame
processing capabilities on Intel® GPUs.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       onevpl-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.

%prep
%autosetup -p1 -n %{upname}-%{version}

%build
%cmake \
	-DBUILD_DISPATCHER_ONEVPL_EXPERIMENTAL=OFF \
	-DBUILD_TOOLS_ONEVPL_EXPERIMENTAL=OFF \
%if ! %{with tools}
	-DBUILD_TOOLS=OFF \
	-DBUILD_PREVIEW=OFF \
	-DBUILD_EXAMPLES=OFF \
	-DINSTALL_EXAMPLE_CODE=OFF \
%endif
	-DBUILD_TESTS=OFF

%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/vpl/licensing/

%files
%doc CHANGELOG.md README.md SECURITY.md
%dir %{_sysconfdir}/vpl
%{_sysconfdir}/vpl/vars.sh
%if %{with tools}
%{_bindir}/sample_decode
%{_bindir}/sample_encode
%{_bindir}/sample_multi_transcode
%{_bindir}/sample_vpp
%{_bindir}/system_analyzer
%{_bindir}/vpl-inspect
%{_datadir}/vpl/
%dir %{_libdir}/vpl
%{_libdir}/vpl/libvpl_wayland.so
%endif

%files -n %{libname}
%doc CHANGELOG.md README.md SECURITY.md
%license LICENSE
%{_libdir}/libvpl.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/vpl/
%{_libdir}/cmake/vpl/
%{_libdir}/libvpl.so
%{_libdir}/pkgconfig/vpl.pc


%changelog
* Wed Apr 10 2024 daviddavid <daviddavid> 2.10.2-2.mga10
+ Revision: 2056358
- add patch to fix i586/i686 build to allow also build of tools
- install example files on x86_64 and i586/i686

* Wed Apr 10 2024 daviddavid <daviddavid> 2.10.2-1.1.mga10
+ Revision: 2056316
- new version: 2.10.2
  ° upstream change project name to Intel® Video Processing Library (Intel® VPL)
  ° upstream change project versioning scheme to align with library and API version

* Sun Feb 11 2024 daviddavid <daviddavid> 2023.3.1-2.mga10
+ Revision: 2040308
- fix dependencies on devel sub-pkg

* Tue Oct 10 2023 kekepower <kekepower> 2023.3.1-1.mga10
+ Revision: 1994252
- Only build the libraries
- imported package vpl

